const {ccclass, property} = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property(cc.Sprite)
    spr: cc.Sprite = null;

    @property
    text: string = 'hello';

    start () {
        // init logic
        var sp = jsb.fileUtils.getWritablePath() + 'www/'; 
        jsb.fileUtils.createDirectory(sp);

        this.text = sp + 'feelec.png';

        var dwn = new jsb.Downloader();
        dwn.setOnFileTaskSuccess(()=>{
            console.log("-- OK");
        });
        dwn.setOnTaskProgress(()=>{

        });
        dwn.setOnTaskError(()=>{

        });

        var sp = jsb.fileUtils.getWritablePath() + 'www/'; 
        jsb.fileUtils.createDirectory(sp);
        
        dwn.createDownloadFileTask("http://support-n.cocos.com/Public/index/img/feelec.png", this.text);
    }

    click() {
        cc.loader.load(this.text, (err, res:cc.Texture2D)=>{
            this.spr.spriteFrame = new cc.SpriteFrame(res);
        })
    }
}
